> ## Documentation Index
> Fetch the complete documentation index at: https://razorpay-60c89f9a-mintlify-audit-missing-sections-1778528421.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a Dispute With ID

> **GET** `/v1/disputes/:id`

Use this endpoint to retrieve the details of a specific dispute.

### Request

````curl: Curl theme={null}
curl -u [YOUR_KEY_ID]:[YOUR_KEY_SECRET]
-X GET https://api.razorpay.com/v1/disputes/disp_AHfqOvkldwsbqt \
-H "Content-Type: application/json"

```java: Java

RazorpayClient razorpay = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");

String disputeId = "disp_0000000000000";

Dispute dispute = instance.dispute.fetchAll(disputeId);

```python: Python

import razorpay
client = razorpay.Client(auth=("YOUR_ID", "YOUR_SECRET"))

disputeId = "disp_0000000000000";

client.dispute.fetch(disputeId);

```php: PHP

$api = new Api($key_id, $secret);

$disputeId = "disp_0000000000000";

$api->dispute->fetch($disputeId);

```csharp: .NET

RazorpayClient client = new RazorpayClient(your_key_id, your_secret);

String disputeId = "disp_0000000000000";

Dispute dispute = client.Dispute.Fetch(disputeId);

```ruby: Ruby

require "razorpay"
Razorpay.setup('YOUR_KEY_ID', 'YOUR_SECRET')

disputeId = "disp_0000000000000"

Razorpay::Dispute.fetch(disputeId)

```javascript: Node.js

var instance = new Razorpay({ key_id: 'YOUR_KEY_ID', key_secret: 'YOUR_SECRET' })

var disputeId = "disp_0000000000000";

instance.disputes.fetch(disputeId);

```go: Go

import ( razorpay "github.com/razorpay/razorpay-go" )
client := razorpay.NewClient("YOUR_KEY_ID", "YOUR_SECRET")

disputeId := "disp_0000000000000"

body, err := client.Dispute.Fetch(disputeId, nil, nil)
````

### Response

````json: Open State & Not Contested theme={null}
{
  "id": "disp_AHfqOvkldwsbqt",
  "entity": "dispute",
  "payment_id": "pay_EsyWjHrfzb59eR",
  "amount": 10000,
  "currency": "INR",
  "amount_deducted": 0,
  "reason_code": "pre_arbitration",
  "respond_by": 1590604200,
  "status": "open",
  "phase": "pre_arbitration",
  "created_at": 1590059211,
  "evidence": {
    "amount": 10000,
    "summary": "goods delivered",
    "shipping_proof": null,
    "billing_proof": null,
    "cancellation_proof": null,
    "customer_communication": null,
    "proof_of_service": null,
    "explanation_letter": null,
    "refund_confirmation": null,
    "access_activity_log": null,
    "refund_cancellation_policy": null,
    "term_and_conditions": null,
    "others": null,
    "submitted_at": null
  }
}
```json: Open State & In-progress Contest
{
  "id": "disp_AHfqOvkldwsbqt",
  "entity": "dispute",
  "payment_id": "pay_EsyWjHrfzb59eR",
  "amount": 10000,
  "currency": "INR",
  "amount_deducted": 0,
  "reason_code": "chargeback",
  "respond_by": 1590604200,
  "status": "open",
  "phase": "chargeback",
  "created_at": 1590059211,
  "evidence": {
    "amount": 9000,
    "summary": "goods delivered",
    "shipping_proof": [
      "doc_EFtmUsbwpXwBH9",
      "doc_EFtmUsbwpXwBH8"
    ],
    "billing_proof": [
      "doc_EFtmUsbwpXwBG9",
      "doc_EFtmUsbwpXwBG8"
    ],
    "cancellation_proof": null,
    "customer_communication": null,
    "proof_of_service": null,
    "explanation_letter": null,
    "refund_confirmation": null,
    "access_activity_log": null,
    "refund_cancellation_policy": null,
    "term_and_conditions": null,
    "others": [
      {
        "type": "receipt_signed_by_customer",
        "document_ids": [
          "doc_EFtmUsbwpXwBH1",
          "doc_EFtmUsbwpXwBH7"
        ]
      }
    ],
    "submitted_at": null
  }
}
```json: Under Review
{
  "id": "disp_AHfqOvkldwsbqt",
  "entity": "dispute",
  "payment_id": "pay_EsyWjHrfzb59eR",
  "amount": 10000,
  "currency": "INR",
  "amount_deducted": 0,
  "reason_code": "chargeback",
  "respond_by": 1590604200,
  "status": "under_review",
  "phase": "chargeback",
  "created_at": 1590059211,
  "evidence": {
    "amount": 9000,
    "summary": "goods delivered",
    "shipping_proof": [
      "doc_EFtmUsbwpXwBH9",
      "doc_EFtmUsbwpXwBH8"
    ],
    "billing_proof": [
      "doc_EFtmUsbwpXwBG9",
      "doc_EFtmUsbwpXwBG8"
    ],
    "cancellation_proof": null,
    "customer_communication": null,
    "proof_of_service": null,
    "explanation_letter": null,
    "refund_confirmation": null,
    "access_activity_log": null,
    "refund_cancellation_policy": null,
    "term_and_conditions": null,
    "others": [
      {
        "type": "receipt_signed_by_customer",
        "document_ids": [
          "doc_EFtmUsbwpXwBH1",
          "doc_EFtmUsbwpXwBH7"
        ]
      }
    ],
    "submitted_at": 1590603200
  }
}
```json: Lost
{
  "id": "disp_AHfqOvkldwsbqt",
  "entity": "dispute",
  "payment_id": "pay_EsyWjHrfzb59eR",
  "amount": 10000,
  "currency": "INR",
  "amount_deducted": 10000,
  "reason_code": "chargeback",
  "respond_by": 1590604200,
  "status": "lost",
  "phase": "chargeback",
  "created_at": 1590059211,
  "evidence": {
    "amount": 10000,
    "summary": null,
    "shipping_proof": null,
    "billing_proof": null,
    "cancellation_proof": null,
    "customer_communication": null,
    "proof_of_service": null,
    "explanation_letter": null,
    "refund_confirmation": null,
    "access_activity_log": null,
    "refund_cancellation_policy": null,
    "term_and_conditions": null,
    "others": null,
    "submitted_at": null
  }
}
```json: Won
{
  "id": "disp_AHfqOvkldwsbqt",
  "entity": "dispute",
  "payment_id": "pay_EsyWjHrfzb59eR",
  "amount": 10000,
  "currency": "INR",
  "amount_deducted": 1000,
  "reason_code": "chargeback",
  "respond_by": 1590604200,
  "status": "won",
  "phase": "chargeback",
  "evidence": {
    "amount": 9000,
    "summary": "goods delivered",
    "shipping_proof": [
      "doc_EFtmUsbwpXwBH9",
      "doc_EFtmUsbwpXwBH8"
    ],
    "billing_proof": [
      "doc_EFtmUsbwpXwBG9",
      "doc_EFtmUsbwpXwBG8"
    ],
    "cancellation_proof": null,
    "customer_communication": null,
    "proof_of_service": null,
    "explanation_letter": null,
    "refund_confirmation": null,
    "access_activity_log": null,
    "refund_cancellation_policy": null,
    "term_and_conditions": null,
    "others": [
      {
        "type": "receipt_signed_by_customer",
        "document_ids": [
          "doc_EFtmUsbwpXwBH1",
          "doc_EFtmUsbwpXwBH7"
        ]
      }
    ],
    "submitted_at": 1590603200
  },
  "created_at": 1590059211
}
```json: Closed
{
  "id": "disp_AHfqOvkldwsbqt",
  "entity": "dispute",
  "payment_id": "pay_EsyWjHrfzb59eR",
  "amount": 10000,
  "currency": "INR",
  "amount_deducted": 0,
  "reason_code": "chargeback",
  "respond_by": 1590604200,
  "status": "closed",
  "phase": "chargeback",
  "created_at": 1590059211,
  "evidence": {
    "amount": 10000,
    "summary": "goods delivered",
    "shipping_proof": null,
    "billing_proof": null,
    "cancellation_proof": null,
    "customer_communication": null,
    "proof_of_service": null,
    "explanation_letter": null,
    "refund_confirmation": null,
    "access_activity_log": null,
    "refund_cancellation_policy": null,
    "term_and_conditions": null,
    "others": null,
    "submitted_at": null
  }
}
```json: Failure
{
  "error": {
      "code": "BAD_REQUEST_ERROR",
      "description": "The id provided does not exist",
      "source": "business",
      "step": "payment_initiation",
      "reason": "input_validation_failed",
      "metadata": {}
  }
}
````

### Parameters

`id` *mandatory*
: `string` The unique identifier of the dispute.

### Parameters

`id`
: `string` The unique identifier of the dispute generated by Razorpay. For example, `disp_AHfqOvkldwsbqt`.

`entity`
: `string` Indicates the type of entity. In this case, it is `dispute`.

`payment_id`
: `string` The unique identifier of the payment against which the dispute was created. For example, `pay_EsyWjHrfzb59eR`.

`amount`
: `integer` Amount, in currency subunits, for which the dispute was created.

`currency`
: `string` 3-letter ISO currency code associated with the amount. Check the list of [supported currencies](/payments/international-payments#supported-currencies).

`amount_deducted`
: `integer` The amount, in currency subunits, deducted from your Razorpay current balance when the dispute is `lost`. This amount will be `0` unless the status of dispute is updated to `lost`. Know about the different [states of disputes](/payments/disputes#dispute-states).

`reason_code`
: `string` Code associated with the reason for the dispute.

`reason_description`
: `string` A brief description of the reason for dispute.

`respond_by`
: `integer` Unix timestamp by which a response should be sent to the customer.

`status`
: `string` The status of the dispute. Possible statuses are:

* `open`: Indicates that the dispute has been created.
* `under_review`: Indicates that the issuing bank is reviewing the dispute.
* `won`: Indicates that the bank has accepted the remedial documents, and you have won the chargeback.
* `lost`: Indicates that the bank did not accept the remedial documents, and you have lost the chargeback.
* `closed`: Indicates that the fraudulent transaction was closed after you provided either the transaction details or made a refund to the customer.

`phase`
: `string` Phase associated with the dispute. Possible phases are:

* `fraud`: A dispute raised by the bank when it suspects a transaction to be fraudulent based on the risk analysis.
* `retrieval`: A request initiated by the customer with their issuer bank for additional information about a transaction.
* `chargeback`: A refund claim initiated by the customers with their issuer banks. In such cases, the bank starts an official inquiry.
* `pre_arbitration`: A chargeback that you have won is challenged by the customer for the second time.
* `arbitration`: A chargeback that you have won is challenged for a third time by the customer and the card networks directly getting involved.

`created_at`
: `integer` Unix timestamp when the dispute was created.

`evidence`
: `object` Provides details of the evidence submitted/saved for contesting a dispute. Use the [Documents API](/api/documents) to securely share documents with Razorpay.

`amount`
: `integer` The contested amount in currency subunits, for which evidence is provided. The value can vary from `0` to the dispute amount. The default value is the dispute amount.

`summary`
: `string` The explanation provided by you for contesting the dispute. It can have a maximum length of 1000 characters.

`shipping_proof`
: `list` List of document ids which serves as proof that the product was shipped to the customer at their provided address. It should show their complete shipping address, if possible.

`billing_proof`
: `list` List of document ids which serves as proof of order confirmation, such as a receipt.

`cancellation_proof`
: `list` List of document ids that serves as proof that this product/service was cancelled.

`customer_communication`
: `list` List of document ids listing any written/email communication from the customer confirming that the customer received the product/service or is satisfied with the product/service.

`proof_of_service`
: `list` List of document ids showing proof of service provided to the customer.

`explanation_letter`
: `list` (List of document ids) Any letter(s) from you specifying information pertinent to the dispute/payment that needs to be considered for processing the dispute.

`refund_confirmation`
: `list` List of document ids showing proof that the refund had been provided to the customer.

`access_activity_log`
: `list` List of document ids of any server or activity logs which prove that the customer accessed or downloaded the purchased digital product.

`refund_cancellation_policy`
: `list` List of document ids listing your refund and/or cancellation policy, as shown to the customer.

`term_and_conditions`
: `list` List of document ids listing your sales terms and conditions, as shown to the customer.

`others`
: `list` Specifies the evidence documents to be uploaded as a part of contesting a dispute. It is a list of tuples consisting of the following:

`type`
: `string` Describes the custom type of evidence document(s) provided.

`document_ids`
: `list` List of document ids corresponding to the customer evidence type.

```json: Example theme={null}
[
  {
    "type": "receipt_signed_by_customer",
    "document_ids": [
      "doc_EFtmUsbwpXwBH7",
      "doc_EFtmUsbwpXwBH6"
    ]
  }  
]
```

`submitted_at`
: `integer` Unix timestamp when the dispute was last submitted by you (for review) to Razorpay. The default value is `null`.

### Errors

The api key provided is invalid

* code: 401
* description: This error occurs when there is a mismatch between the API credentials passed in the API call and the API credentials generated on the Dashboard.
* solution: Make sure the API Keys are active and entered correctly. Also, there should not be any whitespaces before or after the keys.

The id provided does not exist.

* code: 400
* description: - A wrong prefix is used.

- The dispute id does not exist or does not belong to the requestor.

* solution: - The dispute id must start with `disp_`.

- Use a valid dispute id that belongs to the requestor.

\_id is not a valid id.

* code: 400
* description: - The id is not 14 characters long.

- The id is not alphanumeric.

* solution: Use a valid dispute id.

Value of each expand must be one of following types: payment, transaction.settlement

* code: 400
* description: The value of the `expand` query parameter is neither `payments` nor `transaction.settlement`.
* solution: Pass the `expand` query parameter value as either `payments` or `transaction.settlement`.
